<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content class">
                   <div class="content-data">











<ol class="breadcrumb">
  <li>Classes</li>
  <li>Cache</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>e2e/page-object/cache.po.ts</code>
        </p>





            <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#button">button</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#card">card</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#datePickerField">datePickerField</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#element">element</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#expansionPanel">expansionPanel</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#groupedGrid">groupedGrid</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#inputField">inputField</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#navigationTab">navigationTab</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#selectField">selectField</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#slideDetail">slideDetail</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#slideToggle">slideToggle</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#summaryCard">summaryCard</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#table">table</a>
                            </li>
                            <li>
                                    <span class="modifier">Static</span>
                                <a href="#uploadInputField">uploadInputField</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>



            <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="button"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            button
                            </b>
                            <a href="#button"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>button(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, element?: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="159" class="link-to-prism">e2e/page-object/cache.po.ts:159</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a button or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the button&#39;s unique identifier</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>element</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>(optional) the button&#39;s direct element</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Button.html" target="_self" >Button</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding Button object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="card"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            card
                            </b>
                            <a href="#card"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>card(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="92" class="link-to-prism">e2e/page-object/cache.po.ts:92</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a card or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the card&#39;s unique identifier</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/Card.html" target="_self" >Card</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding Card object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="datePickerField"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            datePickerField
                            </b>
                            <a href="#datePickerField"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>datePickerField(container: ElementFinder, containerId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, byFormControlName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="67" class="link-to-prism">e2e/page-object/cache.po.ts:67</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a date picker field or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Default value</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>the element containing the date picker field</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>containerId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>unique ID of the container</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>the field&#39;s unique id</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>byFormControlName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <code>true</code>
                                                        </td>

                                                        <td>
                                                                <code><p>whether the field is identified by its from control name or directly its ID</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/DatePicker.html" target="_self" >DatePicker</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding DatePicker object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="element"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            element
                            </b>
                            <a href="#element"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>element(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, locator?: Locator)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">e2e/page-object/cache.po.ts:24</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create an element reference or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element&#39;s unique identifier</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>locator</td>
                                                        <td>
                                                                    <code>Locator</code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>(optional) the element&#39;s locator</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>ElementFinder</code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding Card object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="expansionPanel"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            expansionPanel
                            </b>
                            <a href="#expansionPanel"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>expansionPanel(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, container: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="126" class="link-to-prism">e2e/page-object/cache.po.ts:126</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create an expansion panel or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the panel&#39;s unique id</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the expansion panel</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/ExpansionPanel.html" target="_self" >ExpansionPanel</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding ExpansionPanel object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="groupedGrid"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            groupedGrid
                            </b>
                            <a href="#groupedGrid"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>groupedGrid(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, container: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="148" class="link-to-prism">e2e/page-object/cache.po.ts:148</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a grouped grid or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the grouped grid&#39;s unique id</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the grouped grid</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/GroupedGrid.html" target="_self" >GroupedGrid</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding GroupedGrid object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="inputField"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            inputField
                            </b>
                            <a href="#inputField"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>inputField(container: ElementFinder, containerId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, identifier: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, byFormControlName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>, byName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank">boolean</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">e2e/page-object/cache.po.ts:38</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create an input field or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Default value</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>the element containing the input field</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>containerId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>unique ID of the container</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>identifier</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                        </td>

                                                        <td>
                                                                <code><p>the identifier</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>byFormControlName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <code>true</code>
                                                        </td>

                                                        <td>
                                                                <code><p>whether the field is identified by its from control name or directly its ID</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>byName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                        <td>
                                                                <code>false</code>
                                                        </td>

                                                        <td>
                                                                <code><p>whether the input field is identified by its name attribute or directly its ID</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/InputField.html" target="_self" >InputField</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding InputField object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="navigationTab"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            navigationTab
                            </b>
                            <a href="#navigationTab"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>navigationTab(index: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank">number</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="169" class="link-to-prism">e2e/page-object/cache.po.ts:169</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a navigation tab or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>index</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/number" target="_blank" >number</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the tab&#39;s index</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code>ElementFinder</code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding ElementFinder object referencing the tab</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectField"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            selectField
                            </b>
                            <a href="#selectField"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>selectField(container: ElementFinder, containerId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, formControlName?: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">e2e/page-object/cache.po.ts:54</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a select field or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the select field</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>containerId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>unique ID of the container</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>formControlName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the field&#39;s form control name</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/SelectField.html" target="_self" >SelectField</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding SelectField object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="slideDetail"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            slideDetail
                            </b>
                            <a href="#slideDetail"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>slideDetail(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, container: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="137" class="link-to-prism">e2e/page-object/cache.po.ts:137</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a slide detail or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the slide detail&#39;s unique id</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the slide detail</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/SlideDetails.html" target="_self" >SlideDetails</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding SlideDetails object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="slideToggle"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            slideToggle
                            </b>
                            <a href="#slideToggle"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>slideToggle(container: ElementFinder, containerId: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, formControlName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="115" class="link-to-prism">e2e/page-object/cache.po.ts:115</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a slide toggle or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the slide toggle</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>containerId</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>unique ID of the container</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>formControlName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the field&#39;s form control name</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/SlideToggle.html" target="_self" >SlideToggle</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding SlideToggle object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="summaryCard"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            summaryCard
                            </b>
                            <a href="#summaryCard"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>summaryCard(cardName: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="179" class="link-to-prism">e2e/page-object/cache.po.ts:179</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a summary or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>cardName</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the summary card&#39;s unique name</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/SummaryCard.html" target="_self" >SummaryCard</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding SummaryCard object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="table"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            table
                            </b>
                            <a href="#table"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>table(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, element?: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="103" class="link-to-prism">e2e/page-object/cache.po.ts:103</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create a table or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the table&#39;s unique identifier</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>element</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            Yes
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>(optional) the table&#39;s direct element</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/MatTable.html" target="_self" >MatTable</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding MatTable object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInputField"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Static</span>
                            uploadInputField
                            </b>
                            <a href="#uploadInputField"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>uploadInputField(id: <a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank">string</a>, container: ElementFinder)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="82" class="link-to-prism">e2e/page-object/cache.po.ts:82</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">
                            <div class="io-description"><p>Create an upload input field or return the previously created one</p>
</div>

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                                    <td>Description</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>id</td>
                                                        <td>
                                                                    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the field&#39;s unique id</p>
</code>
                                                        </td>
                                                </tr>
                                                <tr>
                                                        <td>container</td>
                                                        <td>
                                                                    <code>ElementFinder</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                        <td>
                                                                <code><p>the element containing the upload input field</p>
</code>
                                                        </td>
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="../classes/UploadInput.html" target="_self" >UploadInput</a></code>

                            </div>
                                <div class="io-description">
                                    <p>the corresponding UploadInput object</p>

                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>






    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { browser, by, element, ElementFinder, Locator } from &#x27;protractor&#x27;;
import { InputField } from &#x27;../shared/input-field&#x27;;
import { Card } from &#x27;../shared/card&#x27;;
import { Button } from &#x27;../shared/button&#x27;;
import { DatePicker } from &#x27;../shared/date-picker&#x27;;
import { UploadInput } from &#x27;../shared/upload-input&#x27;;
import { MatTable } from &#x27;../shared/table&#x27;;
import { ExpansionPanel } from &#x27;../shared/expansion-panel&#x27;;
import { SlideDetails } from &#x27;../shared/slide-details&#x27;;
import { GroupedGrid } from &#x27;../shared/grouped-grid&#x27;;
import { SelectField } from &#x27;../shared/select-field&#x27;;
import { SummaryCard } from &#x27;../shared/completable-card&#x27;;
import { SlideToggle } from &#x27;../shared/slide-toggle&#x27;;

export class Cache {

  /**
   * Create an element reference or return the previously created one
   *
   * @param {string} id the element&#x27;s unique identifier
   * @param {Locator} locator (optional) the element&#x27;s locator
   * @returns {ElementFinder} the corresponding Card object
   */
  static element(id: string, locator?: Locator): ElementFinder {
    return browser.element(locator ? locator : by.id(id));
  }

  /**
   * Create an input field or return the previously created one
   *
   * @param {ElementFinder} container the element containing the input field
   * @param {string} containerId unique ID of the container
   * @param {string} identifier the identifier
   * @param {boolean} byFormControlName whether the field is identified by its from control name or directly its ID
   * @param {boolean} byName whether the input field is identified by its name attribute or directly its ID
   * @returns {InputField} the corresponding InputField object
   */
  static inputField(container: ElementFinder,
                    containerId: string,
                    identifier: string,
                    byFormControlName: boolean &#x3D; true,
                    byName: boolean &#x3D; false): InputField {
    return new InputField(container, identifier, byFormControlName, byName);
  }

  /**
   * Create a select field or return the previously created one
   *
   * @param {ElementFinder} container the element containing the select field
   * @param {string} containerId unique ID of the container
   * @param {string} formControlName the field&#x27;s form control name
   * @returns {SelectField} the corresponding SelectField object
   */
  static selectField(container: ElementFinder, containerId: string, formControlName?: string): SelectField {
    return new SelectField(container, formControlName);
  }

  /**
   * Create a date picker field or return the previously created one
   *
   * @param {ElementFinder} container the element containing the date picker field
   * @param {string} containerId unique ID of the container
   * @param {string} id the field&#x27;s unique id
   * @param {boolean} byFormControlName whether the field is identified by its from control name or directly its ID
   * @returns {DatePicker} the corresponding DatePicker object
   */
  static datePickerField(container: ElementFinder,
                         containerId: string,
                         id: string,
                         byFormControlName: boolean &#x3D; true): DatePicker {

    return new DatePicker(container, id, byFormControlName);
  }

  /**
   * Create an upload input field or return the previously created one
   *
   * @param {string} id the field&#x27;s unique id
   * @param {ElementFinder} container the element containing the upload input field
   * @returns {UploadInput} the corresponding UploadInput object
   */
  static uploadInputField(id: string, container: ElementFinder): UploadInput {
    return new UploadInput(container);
  }

  /**
   * Create a card or return the previously created one
   *
   * @param {string} id the card&#x27;s unique identifier
   * @returns {Card} the corresponding Card object
   */
  static card(id: string): Card {
    return new Card(id);
  }

  /**
   * Create a table or return the previously created one
   *
   * @param {string} id the table&#x27;s unique identifier
   * @param {ElementFinder} element (optional) the table&#x27;s direct element
   * @returns {MatTable} the corresponding MatTable object
   */
  static table(id: string, element?: ElementFinder): MatTable {
    return new MatTable(element ? element : id);
  }

  /**
   * Create a slide toggle or return the previously created one
   *
   * @param {ElementFinder} container the element containing the slide toggle
   * @param {string} containerId unique ID of the container
   * @param {string} formControlName the field&#x27;s form control name
   * @returns {SlideToggle} the corresponding SlideToggle object
   */
  static slideToggle(container: ElementFinder, containerId: string, formControlName: string): SlideToggle {
    return new SlideToggle(container, formControlName);
  }

  /**
   * Create an expansion panel or return the previously created one
   *
   * @param {string} id the panel&#x27;s unique id
   * @param {ElementFinder} container the element containing the expansion panel
   * @returns {ExpansionPanel} the corresponding ExpansionPanel object
   */
  static expansionPanel(id: string, container: ElementFinder): ExpansionPanel {
    return new ExpansionPanel(container);
  }

  /**
   * Create a slide detail or return the previously created one
   *
   * @param {string} id the slide detail&#x27;s unique id
   * @param {ElementFinder} container the element containing the slide detail
   * @returns {SlideDetails} the corresponding SlideDetails object
   */
  static slideDetail(id: string, container: ElementFinder): SlideDetails {
    return new SlideDetails(container);
  }

  /**
   * Create a grouped grid or return the previously created one
   *
   * @param {string} id the grouped grid&#x27;s unique id
   * @param {ElementFinder} container the element containing the grouped grid
   * @returns {GroupedGrid} the corresponding GroupedGrid object
   */
  static groupedGrid(id: string, container: ElementFinder): GroupedGrid {
    return new GroupedGrid(container);
  }

  /**
   * Create a button or return the previously created one
   *
   * @param {string} id the button&#x27;s unique identifier
   * @param {ElementFinder} element (optional) the button&#x27;s direct element
   * @returns {Button} the corresponding Button object
   */
  static button(id: string, element?: ElementFinder): Button {
    return new Button(element ? element : id);
  }

  /**
   * Create a navigation tab or return the previously created one
   *
   * @param {number} index the tab&#x27;s index
   * @returns {ElementFinder} the corresponding ElementFinder object referencing the tab
   */
  static navigationTab(index: number): ElementFinder {
    return element(by.css(&#x60;*[id&#x3D;&quot;operationManagementNavBar&quot;] .mat-tab-link:nth-child(${index + 1})&#x60;));
  }

  /**
   * Create a summary or return the previously created one
   *
   * @param {string} cardName the summary card&#x27;s unique name
   * @returns {SummaryCard} the corresponding SummaryCard object
   */
  static summaryCard(cardName: string): SummaryCard {
    return new SummaryCard(cardName);
  }
}
</code></pre>
    </div>
</div>







                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'class';
            var COMPODOC_CURRENT_PAGE_URL = 'Cache.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
